# Module yapp_registry

- Description
- Function Index
- Function Details

Yapp registry api.

Introduced in: 1 June 2006 by Mikael Karlsson <mikael@creado.se>

Authors: Mikael Karlsson (`mikael@creado.se`).

## Description

Yapp registry api.

The default yapp registry (yapp_mnesia_server) uses mnesia, so a prerequisite is that a schema is created.

## Function Index

list/1 | Lists all registered Yapps.
register/3 | Register a Yapp.
unregister/3 | Unregister a Yapp from Yaws.

## Function Details

### list/1

`list(YappRegistry::pid()) -> RegistryContent | exit()`

- `RegsitryContent = [YawsSrvContent]`
- `YawsSrvContent = {YawsServerId, Yapps}`
- `Yapps = [{URL, AppName}] | undefined`
- `URL = string()`
- `AppName = atom()`

Lists all registered Yapps.

### register/3

`register(YappRegistry::pid(), SrvId::string(), A::{YappUrl::string(), AppName::atom()}) -> ok | exit()`

Register a Yapp. Registers in the virtual server with the opaque property yapp_server_id = SrvID. The YappUrl is the root path to the Yapp and the AppName is the Name of the application.

### unregister/3

`unregister(YappRegistry::pid(), SrvId::string(), YappUrl::string()) -> ok | exit()`

Unregister a Yapp from Yaws. Unregisters in the virtual server with yapp_server_id = SrvID. The YappUrlOrName is either the root path to the Yapp or the name of it.

Generated by EDoc